Skip to main content

Retrieves a list of cluster summary with provided search filter spec

POST 

/v1/dashboard/spectroclusters/search

This is the recommended API for listing and searching clusters. Prefer this over the older GET /v1/spectroclusters and POST /v1/dashboard/spectroclusters. Supports filtering by any cluster property (e.g. clusterName, environment, tags, healthState) via a conjunction of filter groups. Supported sort fields - ["environment", "clusterName", "memoryUsage", "healthState", "creationTimestamp", "lastModifiedTimestamp"].

Example - find clusters whose name contains 'aws': {"filter": {"conjunction": "and", "filterGroups": [{"conjunction": "and", "filters": [{"property": "clusterName", "type": "string", "condition": {"string": {"operator": "contains", "negation": false, "ignoreCase": false, "match": {"conjunction": "or", "values": ["aws"]}}}}]}]}, "sort": [{"field": "clusterName", "order": "asc"}]}

Request​

Responses​

An array of cluster summary items